#FROM python:3.9
#RUN pip install -U flask flask-cors pyjwt pycryptodome python-dotenv redis-py-cluster pika requests pymongo bcrypt uuid
#RUN apt-get update
#RUN apt-get install vim -y
FROM dl-family-locker-api:base

MAINTAINER DigiLocker-Alok
LABEL version="1.0"
ENV TZ="Asia/Kolkata"

COPY config_prod/dockerconfig/supervisord.conf /etc/supervisord.conf
COPY config_prod/dockerconfig/services.conf /etc/supervisord.d/services.conf
ADD config_prod/dockerconfig/envoy-family-locker.yaml /etc/envoy/envoy-family-locker.yaml

WORKDIR /opt/family-locker-py
COPY src_code/ /opt/family-locker-py
COPY config_prod/.env /opt/family-locker-py/
#CMD [ "python", "test.py" ]
EXPOSE 80
